Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1343 closed defect

c/src/lib/libbsp/arm/gba has private score

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: bsps Version: 4.9
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

the arm/gba has an almost complete private score implementation in libbsp.

IMO, this should not be tolerated. Either this BSP can be made using cpukit's score or it needs to be removed.

Change History (3)

comment:1 Changed on 12/03/08 at 16:12:20 by Joel Sherrill

It looks like thumb support has been added since these files were copied.
Can you please identify what revision of the score/cpu files were in place
when these were merged?

If you can take care of that much, I should be able to do the comparison and
eliminate the one in gba.

comment:2 Changed on 11/20/14 at 03:37:42 by Chris Johns

Description: modified (diff)
Resolution: wontfix
Status: newclosed

comment:3 Changed on 11/20/14 at 03:38:04 by Chris Johns

Version: 4.104.9
Note: See TracTickets for help on using tickets.